> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.sign.plus/llms.txt
> Use this file to discover all available pages before exploring further.

# Get envelope document



## OpenAPI

````yaml get /envelope/{envelope_id}/document/{document_id}
openapi: 3.0.0
info:
  title: Sign.plus Developer API v2
  description: Integrate legally-binding electronic signature to your workflow
  version: 2.8.0
  contact:
    name: Sign.Plus
    url: https://sign.plus
    email: support@alohi.com
servers:
  - url: https://restapi.sign.plus/v2
    description: Sign.Plus API - Production
security: []
tags:
  - name: signplus
    description: Sign.plus API
paths:
  /envelope/{envelope_id}/document/{document_id}:
    get:
      tags:
        - signplus
      summary: Get envelope document
      operationId: get_envelope_document
      parameters:
        - in: path
          name: envelope_id
          required: true
          schema:
            type: string
        - in: path
          name: document_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Document details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Document'
      security:
        - BearerAuth:
            - SIGN_ALL_READ
components:
  schemas:
    Document:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the document
        name:
          type: string
          description: Name of the document
        filename:
          type: string
          description: Filename of the document
        page_count:
          type: integer
          description: Number of pages in the document
        pages:
          type: array
          description: List of pages in the document
          items:
            $ref: '#/components/schemas/Page'
    Page:
      type: object
      properties:
        width:
          type: integer
          description: Width of the page in pixels
        height:
          type: integer
          description: Height of the page in pixels
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````